#!/bin/bash

# Завершить текущие экземпляры polybar
killall -q polybar

# Ожидание полного завершения работы процессов
while pgrep -u $UID -x polybar >/dev/null; do sleep 1; done

# Запуск Polybar
if [[ $(xrandr -q | grep " connected" | wc -l) -ge 2 ]]; then
    polybar bar1 &
    polybar bar2 &
else
    polybar bar1 &
fi

notify-send "Polybar загрузился..."